Browse files

MDL-22964 XML-RPC is now required in 2.0. We need it for hub communic…

…ation, and it's useful for web services and Moodle networking
  • Loading branch information...
1 parent a0d7ca9 commit 820603ef70852d0ab82d321ae55ec72f1c21d5d1 @moodler moodler committed Jun 28, 2010
Showing with 3 additions and 3 deletions.
  1. +2 −2 admin/environment.xml
  2. +1 −1 lang/en_utf8/admin.php
View
4 admin/environment.xml
@@ -252,9 +252,9 @@
<ON_CHECK message="tokenizerrecommended" />
</FEEDBACK>
</PHP_EXTENSION>
- <PHP_EXTENSION name="xmlrpc" level="optional">
+ <PHP_EXTENSION name="xmlrpc" level="required">
<FEEDBACK>
- <ON_CHECK message="xmlrpcrecommended" />
+ <ON_CHECK message="xmlrpcrequired" />
</FEEDBACK>
</PHP_EXTENSION>
<PHP_EXTENSION name="soap" level="optional">
View
2 lang/en_utf8/admin.php
@@ -827,7 +827,7 @@
$string['warningcurrentsetting'] = 'Invalid current value: $a';
$string['webproxy'] = 'Web proxy';
$string['webproxyinfo'] = 'Fill in following options if your Moodle server can not access internet directly. Internet access is required for download of environment data, language packs, RSS feeds, timezones, etc.<br /><em>PHP cURL extension is highly recommended.</em>';
-$string['xmlrpcrecommended'] = 'Installing the optional xmlrpc extension is useful for Moodle Networking functionality.';
+$string['xmlrpcrequired'] = 'The xmlrpc extension is needed for hub communication, and useful for web services and Moodle networking';
$string['xmlstrictheaders'] = 'XML strict headers';
$string['ziprequired'] = 'The Zip PHP extension is now required by Moodle, info-ZIP binaries or PclZip library are not used anymore.';

0 comments on commit 820603e

Please sign in to comment.